# react-notify-notifier

`react-notify-notifier` is a lightweight and customizable toast notification library for React applications.

## Features

- Easy to use API
- Customizable styles
- Supports multiple notification types
- Can be used with any React project

## Installation

You can install `react-notify-notifier` using npm:

## Usage

### Displaying notification

To display a success notification, import `CreateToast` from `react-notify-notifier` and call it with the desired message and options:

```jsx
import CreateToast from "./Components/Notification/createToast";

function App() {
  const handleClick = () => {
    CreateToast({
      type: "success",                                // required
      message: "Task completed successfully!",        // required
      position: "center",                             // required
      duration: 2000                                  // optional
    });
  };

  return (
    <div className="App">
      <button onClick={handleClick}>Handle Toast</button>
    </div>
  );
}

export default App;

```

## Customizing the notification styles

You can customize the styles of the notification container and text by passing a `containerStyle` and `textStyle` object to the `createToast` function:

```jsx
createToast({
  type: "success",
  message: "Task completed successfully!",
  containerStyle: { backgroundColor: "#00cc99", borderRadius: "5px" },
  textStyle: { color: "#fff", fontWeight: "bold" },
});
```
